from api_validations.core_validations import BaseModelRegular


class SingleEnumClassKey(BaseModelRegular):
    class_name: str
    key_name: str


class SingleEnumUUID(BaseModelRegular):
    uu_id: str


class SingleEnumOnlyClass(BaseModelRegular):
    class_name: str


class SingleOccupantTypeClassKey(BaseModelRegular):
    type_code: str


class SingleOccupantTypeUUID(BaseModelRegular):
    uu_id: str
